Расширенный
База уязвимостей

Запись за пределами границ

11 января 2021
Уровень опасности
Оценка CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Производитель ПО
Наименование ПО
Foxit Reader (10.1.0.37527, 9.0.0.29935)
Описание
Уязвимость в Foxit Reader, связанная с обработкой изображений JPEG2000 и некорректной проверкой предоставляемых пользователем данных, позволяет злоумышленникам, действующим удаленно, вызвать запись за пределами выделенной структуры и выполнить произвольный код в контексте текущего процесса, убедив пользователя открыть вредоносную страницу или вредоносный файл.
Как исправить
Для устранения уязвимости необходимо установить последнюю версию продукта, соответствующую используемой платформе. Необходимую информацию можно получить по адресу:
https://www.foxitsoftware.com/
Ссылки
Источник: CVE
Наименование: CVE-2020-17416
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-17416